# $Revision: 1.2 $, $Date: 2004/03/15 22:05:41 $
Summary:	Library and tool that solves linear programming problem
Summary(pl):	Biblioteka i narzdzie do rozwizywania problemu programowania liniowego
Name:		lp_solve3
%define	rname	lp_solve
Version:	3.2
Release:	4
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.ics.ele.tue.nl/pub/lp_solve/%{rname}_%{version}.tar.gz
# Source0-md5:	91b1a8281dfd18bcd2e1c844a39b5df3
Patch0:		%{name}-shared.patch
Patch1:		%{name}-yyparse.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
Obsoletes:	lp_solve < 4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library and tool that solves linear programming problem using Simplex
algorithm.

%description -l pl
Biblioteka i narzdzie do rozwizywania problemu programowania
liniowego przy uyciu algorytmu Simplex.

%package devel
Summary:	liblpk header files
Summary(pl):	Pliki nagwkowe biblioteki liblpk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	lp_solve-devel < 4

%description devel
liblpk header files.

%description devel -l pl
Pliki nagwkowe biblioteki liblpk.

%package static
Summary:	Static liblpk library
Summary(pl):	Statyczna biblioteka liblpk
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	lp_solve-static < 4

%description static
Static liblpk library.

%description static -l pl
Statyczna biblioteka liblpk.

%prep
%setup -q -n %{rname}_%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} -f Makefile.linux \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install -f Makefile.linux \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

rm -f lp_examples/*.{out,mps}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG MIPLIB_RESULTS MPS.description NETLIB_RESULTS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc HARTMUT_DOCUMENTATION lp_examples
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lp_solve3.spec,v $
Revision 1.2  2004/03/15 22:05:41  qboosh
- lib64 fixes, strict internal deps, release 4

Revision 1.1  2003/08/01 13:33:29  qboosh
- moved from lp_solve.spec for 3.2

Revision 1.4  2003/05/28 12:59:37  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:50:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/19 23:12:08  qboosh
- added yyparse patch (remove evil yyparse() prototype from lpkit.h)
- added --mode= to libtool calls in shared patch
- release 2

Revision 1.1  2002/12/08 19:27:31  qboosh
- new
